Subject: Re: bug#9181: 24.0.50; Alpha transparency no longer works

From: Luka Novsak <[email-masked]>
Date: Fri, 29 Jul 2011 19:46:06 +0200

On Fri, Jul 29, 2011 at 11:34 AM, Jan Djärv <[email-masked]> wrote:
> It is not xcompmgr that is buggy, it it the window manager.  But the bug
> report does not say what window manager is used.

I first noticed this with Openbox, but I tried with a few others as well.

If the rules regarding setting this property are not found in the
specification, should emacs not for now stick with what works, and
just set it on the frame window, instead of relying on the window
manager, many of which do not seem to propagate this value to the
frame they create? This indeed seems to be standard practice with
every other piece of software which works with transparency (urxvt,
tint2, conky, ...).